<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title> GOST </title>

</head>
<body style="padding: 20px;">

<div class="text" style="padding: 20px; width: 100%; height: 70%;">
	<div class="input-text" style="padding: 20px; height: 100%; float: left;">
        <!--#Eg«Íï-->
		<textarea id="in-text" rows="10"  cols="70" name="text"></textarea>
        <div>
            <label for="key-enc"> Keyword For Encryption</label>
            <input id="key-enc">
            <!--value : 4Wy¼ßñ-->
        </div>
	</div>

	<div style="float: left;">
		<button style="margin: 40px; display: block" onclick="ctrl.encrypting()">Encrypt >>></button>
		<button style="margin: 40px; display: block" onclick="ctrl.decrypting()"><<< Decrypt</button>
	</div>

	<div class="output-text" style="display: inline-block;float: left;padding: 20px;">
		<textarea id="out-text" rows="10" cols="70" name="text"></textarea>
        <div>
            <label for="key-decr"> Keyword For Decryption</label>
            <input id="key-decr">
            <!--value : 4Wy¼ßñ-->
        </div>
	</div>
</div>

<script type="module">import Controller from "./src/Controller.js"; window.ctrl = new Controller()</script>

</body>
</html>